locate(1)

NOM
locate - Trouver des fichiers par leur nom

SYNOPSIS
locate [OPTION]... MOTIF...

DESCRIPTION
locate lit une ou plusieurs bases de données préparées par updatedb(8) et écrit les noms des fichiers correspondants à au moins un des MOTIFs sur la sortie standard, un par ligne. Si --regex n'est pas spécifié, alors MOTIFs peuvent contenir des caractères développement de nom (jokerrs). Si aucun MOTIF ne contient de caractères jokers, locate se comporte comme si le motif était *MOTIF*. Par défaut, locate ne vérifie pas si les fichiers trouvés dans la base de données existent encore (mais il requiert que tous les répertoires parents existent si la base de données a été construite avec --require-visibility no). locate ne pourra pas trouver des fichiers créés après la dernière mise à jour de la base de données pertinente.

CODE DE RETOUR
locate renvoie le code 0 si une correspondance a été trouvée ou si locate a été passée avec l'une des options --limit 0, --help, --statistics ou --version. Si aucune correspondance n'a été trouvé ou si une erreur fatale est survenue, locate renvoie le code 1. Les erreurs rencontrées lors de la lecture de la base de données ne sont pas fatales, la recherche continue dans les autres bases de données s'il y en a.

OPTIONS

-A, --all
    Afficher seulement les entrées qui correspondent à tous les MOTIFS au lieu de n'en exiger qu'un pour la correspondance.

-b, --basename
    N'établir la correspondance que dans le nom de base avec les motifs indiqués. C'est le contraire de --wholename.

-c, --count
    Au lieu d'afficher les noms de fichiers sur la sortie standard, n'afficher que le nombre d'entrées qui correspondent.

-d, --database CHEMIN_B_D
    Remplacer la base de données par défaut par CHEMIN_B_D. CHEMIN_B_D est une liste de noms de fichiers de base de données séparés par des deux points (:). Si plus d'une option --database est indiquée, le chemin résultant est une concaténation des différents chemins. Un nom de fichier de base de données vide est remplacé par celui de la base de données par défaut. Un fichier de base de données nommé - fait référence à l'entrée standard. Notez qu'une base de données peut être lue qu'une seule foisdepuis l'entrée standard.

-e, --existing
    N'afficher que les entrées qui font référence à des fichiers existants au moment où locate est exécuté.

-L, --follow
    Lors de la vérification pour connaître l'existence des fichiers (si l'option --existing est spécifiée), suivre les liens symboliques finaux. Cela exclut les liens symboliques cassés de la sortie. C'est le comportement par défaut. L'opposé peut être spécifié en utilisant --nofollow.

-h, --help
    Afficher un résumé des options disponibles sur la sortie standard et quitter.

-i, --ignore-case
    Ignorer les différences entre minuscules et majuscules lors de la correspondance des motifs.

-l, --limit, -n LIMITE
    Quitter avec succès après avoir trouvé LIMITE entrées. Si l'option --count est spécifiée, le décompte résultant est aussi limité à LIMITE.

-m, --mmap
    Ignoré, pour la compatibilité avec BSD et GNU locate.

-P, --nofollow, -H
    Lors de la vérification de l'existence de fichiers (si l'option --existing est spécifiée), ne pas suivre les liens symboliques finaux. Cela affichera les liens symboliques cassés comme les autres fichiers. C'est le contraire de --follow.

-0, --null
    Séparer les entrées sur la sortie en utilisant le caractère ASCII NULL au lieu d'écrire chaque entrée sur une ligne séparée. Cette option est conçue pour l'interopérabilité avec l'option --null de GNU xargs(1).

-S, --statistics
    Afficher les statistiques de chaque base de données lues sur la sortie standard au lieu de rechercher les fichiers, puis quitter.

-q, --quiet
    Ne pas afficher de messages sur les erreurs survenues pendant la lecture et le traitement des bases de données.

-r, --regexp REGEXP
    Chercher une expression rationnelle simple REGEXP. Aucun MOTIF n'est admis si cette option est utilisée, mais cette option peut être spécifiée plusieurs fois.

--regex
    Interpréter tous les MOTIFS comme des expressions rationnelles étendues.

-s, --stdio
    Ignoré, pour la compatibilité avec BSD et GNU locate.

-V, --version
    Afficher les informations sur la version et la licence de locate sur la sortie standard, puis quitter avec succès.

-w, --wholename
    Faire correspondre seulement le nom de chemin entier avec les MOTIFS spécifiés. C'est le comportement par défaut. Le contraire peut être spécifié par l'utilisation de --basename.

EXEMPLES
Pour rechercher un fichier nommé exactement NOM (pas *NOM*), utilisez
    locate -b '\NOM'
Comme \ est un caractère joker, cela désactive le remplacement implicite de NOM par *NOM*.

FICHIERS

/var/lib/mlocate/mlocate.db
    La base de données recherchée par défaut.

ENVIRONNEMENT

LOCATE_PATH
    Chemin vers des bases de données supplémentaires, ajoutées après la base de données par défaut ou la base de données indiquée par l'utilisation de l'option --database.

NOTES
L'ordre dans lequel les bases de données interrogées sont traitées n'est pas spécifié, ce qui permet à locate de réordonnancer le chemin de la base de données pour des raisons de sécurité. locate se veut compatible avec slocate (sans les options utilisées pour créer la base de données) et GNU locate, dans cet ordre. C'est la raison de l'option --follow par défaut peu pratique, et des options --regex et --regexp qui prêtent à confusion. Le raccourci -r est incompatible avec GNU locate où il correspond à l'option --regex. Utiliser les noms d'options de forme longue pour éviter la confusion. La variable d'environnement LOCATE_PATH remplace la base de données par défaut dans BSD et GNU locate, mais est ajoutée aux autres bases de données dans cette implémentation et slocate.

AUTEUR
Miloslav Trmac <mitr@redhat.com>

VOIR AUSSI
updatedb(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Frédéric Delanoy <delanoy_f@yahoo.com>, Florentin Duneau <fduneau@gmail.com> et bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.